Bug 125351 - [PATCH] devel/p5-DateTime-Locale: add missing dependency for old perl
Summary: [PATCH] devel/p5-DateTime-Locale: add missing dependency for old perl
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mathieu Arnold
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-07 02:50 UTC by Yen-Ming Lee
Modified: 2008-09-05 12:30 UTC (History)
1 user (show)

See Also:


Attachments
p5-DateTime-Locale-0.40.01_2.patch (1.24 KB, patch)
2008-07-07 02:50 UTC, Yen-Ming Lee
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yen-Ming Lee freebsd_committer 2008-07-07 02:50:01 UTC
- add missing dependency for old perl
- bump PORTREVISION

Port maintainer (mat@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2008-07-07 02:50:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mat

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Mathieu Arnold freebsd_committer 2008-07-07 09:27:45 UTC
+-Le 06/07/08 18:46 -0700, Yen-Ming Lee a dit :
| -DISTVERSION=	${PORTVERSION:C/\.(..)$/\1/}
| +DISTNAME=	${PORTNAME}-${PORTVERSION:C/\.(..)$/\1/}

You don't like DISTVERSION ? Or is there something I'm missing ?

| -BUILD_DEPENDS=	${RUN_DEPENDS}

Module::Build may complain very loudly that modules are not installed, are
you sure ?

| -RUN_DEPENDS=
	${SITE_PERL}/${PERL_ARCH}/Params/Validate.pm:${PORTSDIR}/devel/p5-Params-Validate
\
| -
${SITE_PERL}/${PERL_ARCH}/List/MoreUtils.pm:${PORTSDIR}/lang/p5-List-MoreUtils
| +RUN_DEPENDS=	p5-List-MoreUtils>=0:${PORTSDIR}/lang/p5-List-MoreUtils \
| + 	p5-Params-Validate>=0:${PORTSDIR}/devel/p5-Params-Validate


What's the point of changing the way depends are written ? Just for style ?

| -.include <bsd.port.mk>
| +.include <bsd.port.pre.mk>
| +
| +.if ${PERL_LEVEL} < 500703
| +RUN_DEPENDS+=	p5-Class-ISA>=0:${PORTSDIR}/devel/p5-Class-ISA
| +.endif
| +
| +.include <bsd.port.post.mk>

Well, we don't really support older perls as people still not using 5.8 are
really looking for trouble, but that part of the patch may be acceptable :-)

-- 
Mathieu Arnold
Comment 3 leeym 2008-07-07 10:16:14 UTC
[Copy to perl@ for more feedbacks, see the end of this mail]

2008/7/7 Mathieu Arnold <mat@freebsd.org>:
> +-Le 06/07/08 18:46 -0700, Yen-Ming Lee a dit :
> | -DISTVERSION= ${PORTVERSION:C/\.(..)$/\1/}
> | +DISTNAME=    ${PORTNAME}-${PORTVERSION:C/\.(..)$/\1/}
>
> You don't like DISTVERSION ? Or is there something I'm missing ?

portlint doesn't like that, so I just follow.

$ portlint -C
FATAL: Makefile: either PORTVERSION or DISTVERSION must be specified, not both.

> | -BUILD_DEPENDS=       ${RUN_DEPENDS}
>
> Module::Build may complain very loudly that modules are not installed, are
> you sure ?

Some developers don't like the long dependencies needed for tests, for
example des@ asked perl@ to remove unnecessary build dependencies in
February 2008.
(thread subject: "Port dependencies on p5-Test-*")

Yes, Module::Build will complain, but it still builds, installs, and
works well, since these dependencies are listed in RUN_DEPENDS.

Originally, I tried to fulfill everything Module::Build asks for,
including the dependencies needed for tests, say Test::*, but it
brought a lot of dependencies.
Later, I put only runtime dependencies, and Module::Build complains
about the missing ones needed for tests (if any).
Now, since Module::Build complains anyway, I will only set
BUILD_DEPENDS if it's really needed for build.

> | -RUN_DEPENDS=
>        ${SITE_PERL}/${PERL_ARCH}/Params/Validate.pm:${PORTSDIR}/devel/p5-Params-Validate
> \
> | -
> ${SITE_PERL}/${PERL_ARCH}/List/MoreUtils.pm:${PORTSDIR}/lang/p5-List-MoreUtils
> | +RUN_DEPENDS= p5-List-MoreUtils>=0:${PORTSDIR}/lang/p5-List-MoreUtils \
> | +     p5-Params-Validate>=0:${PORTSDIR}/devel/p5-Params-Validate
>
>
> What's the point of changing the way depends are written ? Just for style ?

For this case, they are just for style, but for other cases, they may
have minimum required versions.
Since the versions matter sometimes, I prefer to use package
dependencies instead.

If you don't like that, you can keep the current settings.

> | -.include <bsd.port.mk>
> | +.include <bsd.port.pre.mk>
> | +
> | +.if ${PERL_LEVEL} < 500703
> | +RUN_DEPENDS+=        p5-Class-ISA>=0:${PORTSDIR}/devel/p5-Class-ISA
> | +.endif
> | +
> | +.include <bsd.port.post.mk>
>
> Well, we don't really support older perls as people still not using 5.8 are
> really looking for trouble, but that part of the patch may be acceptable :-)
>
> --
> Mathieu Arnold

I asked tobez@ last time about the supports of perl-5.6.2, and he
suggested to keep them to make some modules work under perl-5.6.2

Some unclear questions about this PR:
Q1. Should we keep the prerequisites needed only for tests ?
Q2. Should we set BUILD_DEPENDS=RUN_DEPENDS to make Module::Build a
little bit happier ? (it will complain anyway if the answer of Q1 is
NO)
Q3. Should we keep supporting perl-5.6.2 ?

After the discussions in February, I prefer to ignore the
prerequisites needed only for tests, and ignore the complaints of
Module::Build..... to keep the minimum dependencies.
But for perl-5.6.2, since it's still in our ports tree, I prefer to
keep supporting them until we remove it.

Not sure if it's a correct way. Maybe the ultimate answer is
PERL_DEPENDS proposed by tobez@ ... :)

Regards,
-- 
Yen-Ming Lee <leeym@leeym.com>
Comment 4 dfilter service freebsd_committer 2008-09-05 12:23:40 UTC
leeym       2008-09-05 11:23:32 UTC

  FreeBSD ports repository

  Modified files:
    devel/p5-DateTime-Locale Makefile 
  Log:
  - add missing dependency for old perl
  - bump PORTREVISION
  
  PR:             125351
  Submitted by:   leeym
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.22      +11 -6     ports/devel/p5-DateTime-Locale/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Yen-Ming Lee freebsd_committer 2008-09-05 12:23:45 UTC
State Changed
From-To: open->closed

Committed, thanks.